Bug 252642 - net/aquantia-atlantic-kmod fail to load on CURRENT > r353868
Summary: net/aquantia-atlantic-kmod fail to load on CURRENT > r353868
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Philip Paeps
URL: https://reviews.freebsd.org/D28135
Keywords: iflib
Depends on:
Blocks:
 
Reported: 2021-01-13 17:03 UTC by nyan
Modified: 2021-03-08 01:09 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (koobs)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nyan 2021-01-13 17:03:04 UTC
In r353868, deprecated kpi `if_multi_apply`. and `if_multiaddr_count` are removed. This cause the kernel module from to load. 

A patch is available at https://reviews.freebsd.org/D28135 to fix this issue and make the kernel module loadable under CURRENT.
Comment 1 commit-hook freebsd_committer 2021-02-09 02:51:07 UTC
A commit references this bug:

Author: philip
Date: Tue Feb  9 02:51:03 UTC 2021
New revision: 564758
URL: https://svnweb.freebsd.org/changeset/ports/564758

Log:
  net/aquantia-atlantic-kmod: Fix build on CURRENT

  This patch enables the port to build a working if_atlantic.ko on
  13-CURRENT, broken since r353868 (Git commit 19e09f447fd9), where
  the `if_multi_apply` and `if_multiaddr_count` KPIs were removed.

  PR:             252642
  Submitted by:   Michael Chiu <nyan-at-myuji.xyz>
  Approved by:    koobs (maintainer)
  MFH:            2021Q1 (blanket: build fix)
  Differential_Revision: https://reviews.freebsd.org/D28135

Changes:
  head/net/aquantia-atlantic-kmod/Makefile
  head/net/aquantia-atlantic-kmod/files/
  head/net/aquantia-atlantic-kmod/files/patch-aq__hw.c
  head/net/aquantia-atlantic-kmod/files/patch-aq__main.c
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-02-09 03:51:38 UTC
^Triage: Assign to committer resolving
Comment 3 commit-hook freebsd_committer 2021-02-22 07:28:19 UTC
A commit references this bug:

Author: philip
Date: Mon Feb 22 07:27:39 UTC 2021
New revision: 566276
URL: https://svnweb.freebsd.org/changeset/ports/566276

Log:
  MFH: r564758

  net/aquantia-atlantic-kmod: Fix build on CURRENT

  This patch enables the port to build a working if_atlantic.ko on
  13-CURRENT, broken since r353868 (Git commit 19e09f447fd9), where
  the `if_multi_apply` and `if_multiaddr_count` KPIs were removed.

  PR:             252642
  Submitted by:   Michael Chiu <nyan-at-myuji.xyz>
  Approved by:    koobs (maintainer)
  Differential_Revision: https://reviews.freebsd.org/D28135

Changes:
_U  branches/2021Q1/
  branches/2021Q1/net/aquantia-atlantic-kmod/Makefile
  branches/2021Q1/net/aquantia-atlantic-kmod/files/